curl --request POST \
--url https://api.goenhance.ai/api/v1/images/generations \
--header 'Content-Type: application/json' \
--data '
{
"model": "anime-illustration",
"prompt": "A rainy Tokyo alley at dusk, neon reflections, anime key visual, painterly lighting",
"ratio": "3:4"
}
'import requests
url = "https://api.goenhance.ai/api/v1/images/generations"
payload = {
"model": "anime-illustration",
"prompt": "A rainy Tokyo alley at dusk, neon reflections, anime key visual, painterly lighting",
"ratio": "3:4"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'anime-illustration',
prompt: 'A rainy Tokyo alley at dusk, neon reflections, anime key visual, painterly lighting',
ratio: '3:4'
})
};
fetch('https://api.goenhance.ai/api/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"img_uuid": "c12b656c-747a-44fd-9c80-add79b0c52d5",
"cost": 5.82
}
}Anime Illustration
SDXL-based anime illustration model tuned for painterly scenes and detailed key art.
Pricing: 0.2 tokens per image (= $0.004).
Returns an img_uuid; poll GET /api/v1/jobs/detail (or use custom_callback_url) to get the generated image.
Headers
Body
Model name. Must be anime-illustration.
anime-illustration Text prompt describing the image.
1 - 2000Aspect ratio of the generated image. Defaults to 1:1 when omitted.
1:1, 3:4, 2:3, 9:16, 4:3, 3:2, 16:9 Optional. Describes what to avoid in the image. A sensible default is applied when omitted.
2000Optional. Random seed. Use -1 (the default) for a random seed, or a non-negative integer to reproduce a previous generation.
x >= -1Optional. A publicly accessible HTTPS URL. When the task status changes (processing / success / failed), GoEnhance sends a POST request to this URL. The request body is identical to the response of GET /api/v1/jobs/detail. If your server does not respond with HTTP 200, the notification is retried up to 3 times, with a 3-second timeout per attempt.
"https://your-server.com/goenhance/callback"
